maj autoconf/automake and update Makefile.in
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at    
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 am__make_dryrun = \
48   { \
49     am__dry=no; \
50     case $$MAKEFLAGS in \
51       *\\[\ \   ]*) \
52         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
53           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
54       *) \
55         for am__flg in $$MAKEFLAGS; do \
56           case $$am__flg in \
57             *=*|--*) ;; \
58             *n*) am__dry=yes; break;; \
59           esac; \
60         done;; \
61     esac; \
62     test $$am__dry = yes; \
63   }
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 build_triplet = @build@
81 host_triplet = @host@
82 @GIWS_TRUE@am__append_1 = giws
83 @SWIG_TRUE@am__append_2 = swig
84 @GUI_TRUE@am__append_3 = libsciui_data.la
85 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
86         $(top_srcdir)/Makefile.incl.am
87 @NEED_JAVA_TRUE@am__append_4 = java
88 subdir = modules/ui_data
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
91         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
92         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
93         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
94         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
95         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
96         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
97         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
98         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
99         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
100         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
101         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
102         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
103         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
104         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
105         $(top_srcdir)/configure.ac
106 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
107         $(ACLOCAL_M4)
108 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
109 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
113 am__vpath_adj = case $$p in \
114     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
115     *) f=$$p;; \
116   esac;
117 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
118 am__install_max = 40
119 am__nobase_strip_setup = \
120   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
121 am__nobase_strip = \
122   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
123 am__nobase_list = $(am__nobase_strip_setup); \
124   for p in $$list; do echo "$$p $$p"; done | \
125   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
126   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
127     if (++n[$$2] == $(am__install_max)) \
128       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
129     END { for (dir in files) print dir, files[dir] }'
130 am__base_list = \
131   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
132   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
133 am__uninstall_files_from_dir = { \
134   test -z "$$files" \
135     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
136     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
137          $(am__cd) "$$dir" && rm -f $$files; }; \
138   }
139 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
140         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
141         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
142         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
143         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
144 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
145 libsciui_data_algo_la_LIBADD =
146 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
147         libsciui_data_algo_la-PutScilabVariable.lo
148 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
149         libsciui_data_algo_la-EditVar.lo \
150         libsciui_data_algo_la-FileBrowser.lo
151 am__objects_3 = libsciui_data_algo_la-UpdateBrowseVar.lo \
152         libsciui_data_algo_la-FileBrowserChDir.lo
153 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
154         $(am__objects_3)
155 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
156 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
157 libsciui_data_disable_la_LIBADD =
158 am__objects_4 = libsciui_data_disable_la-noui_data.lo
159 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
160 libsciui_data_disable_la_OBJECTS =  \
161         $(am_libsciui_data_disable_la_OBJECTS)
162 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
163 am__objects_5 = libsciui_data_la-gw_ui_data.lo
164 am__objects_6 = libsciui_data_la-sci_editvar.lo \
165         libsciui_data_la-sci_browsevar.lo \
166         libsciui_data_la-sci_filebrowser.lo \
167         libsciui_data_la-sci_updatebrowsevar.lo
168 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
169 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
170 libsciui_data_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
171         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
172         $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) $(LDFLAGS) -o $@
173 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
174 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
175 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
176 am__depfiles_maybe = depfiles
177 am__mv = mv -f
178 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183 CCLD = $(CC)
184 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
186         $(LDFLAGS) -o $@
187 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
190         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
191         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
192 CXXLD = $(CXX)
193 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
194         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
195         $(LDFLAGS) -o $@
196 SOURCES = $(libsciui_data_algo_la_SOURCES) \
197         $(libsciui_data_disable_la_SOURCES) \
198         $(libsciui_data_la_SOURCES)
199 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
200         $(libsciui_data_disable_la_SOURCES) \
201         $(libsciui_data_la_SOURCES)
202 am__can_run_installinfo = \
203   case $$AM_UPDATE_INFO_DIR in \
204     n|no|NO) false;; \
205     *) (install-info --version) >/dev/null 2>&1;; \
206   esac
207 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
208         $(libsciui_data_la_sci_gateway_DATA) \
209         $(nobase_libsciui_data_la_icons_DATA)
210 ETAGS = etags
211 CTAGS = ctags
212 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
213 ACLOCAL = @ACLOCAL@
214 ALL_LINGUAS = @ALL_LINGUAS@
215 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
216 AMTAR = @AMTAR@
217 ANT = @ANT@
218 ANTLR = @ANTLR@
219 AR = @AR@
220 ARPACK_LIBS = @ARPACK_LIBS@
221 ASM3 = @ASM3@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
226 AWK = @AWK@
227 BATIK = @BATIK@
228 BLAS_LIBS = @BLAS_LIBS@
229 CC = @CC@
230 CCACHE = @CCACHE@
231 CCDEPMODE = @CCDEPMODE@
232 CFLAGS = @CFLAGS@
233 CHECKSTYLE = @CHECKSTYLE@
234 COBERTURA = @COBERTURA@
235 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
236 COMMONS_IO = @COMMONS_IO@
237 COMMONS_LOGGING = @COMMONS_LOGGING@
238 CPP = @CPP@
239 CPPFLAGS = @CPPFLAGS@
240 CXX = @CXX@
241 CXXCPP = @CXXCPP@
242 CXXDEPMODE = @CXXDEPMODE@
243 CXXFLAGS = @CXXFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
247 DEPDIR = @DEPDIR@
248 DOCBOOK_ROOT = @DOCBOOK_ROOT@
249 DSYMUTIL = @DSYMUTIL@
250 DUMPBIN = @DUMPBIN@
251 ECHO_C = @ECHO_C@
252 ECHO_N = @ECHO_N@
253 ECHO_T = @ECHO_T@
254 EGREP = @EGREP@
255 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
256 EXEEXT = @EXEEXT@
257 F77 = @F77@
258 FFLAGS = @FFLAGS@
259 FFTW3_LIB = @FFTW3_LIB@
260 FFTW_ENABLE = @FFTW_ENABLE@
261 FGREP = @FGREP@
262 FLEXDOCK = @FLEXDOCK@
263 FLIBS = @FLIBS@
264 FOP = @FOP@
265 GENHTML = @GENHTML@
266 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
267 GIWS_BIN = @GIWS_BIN@
268 GLUEGEN2_RT = @GLUEGEN2_RT@
269 GMSGFMT = @GMSGFMT@
270 GMSGFMT_015 = @GMSGFMT_015@
271 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
272 GREP = @GREP@
273 GUI_ENABLE = @GUI_ENABLE@
274 HDF5_CFLAGS = @HDF5_CFLAGS@
275 HDF5_LIBS = @HDF5_LIBS@
276 HELP_ENABLE = @HELP_ENABLE@
277 INSTALL = @INSTALL@
278 INSTALL_DATA = @INSTALL_DATA@
279 INSTALL_PROGRAM = @INSTALL_PROGRAM@
280 INSTALL_SCRIPT = @INSTALL_SCRIPT@
281 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
282 INTLLIBS = @INTLLIBS@
283 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
284 JAR = @JAR@
285 JAVA = @JAVA@
286 JAVAC = @JAVAC@
287 JAVAC_DEBUG = @JAVAC_DEBUG@
288 JAVADOC = @JAVADOC@
289 JAVAH = @JAVAH@
290 JAVASCI_ENABLE = @JAVASCI_ENABLE@
291 JAVA_ENABLE = @JAVA_ENABLE@
292 JAVA_G = @JAVA_G@
293 JAVA_HOME = @JAVA_HOME@
294 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
295 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
296 JDB = @JDB@
297 JEUCLID_CORE = @JEUCLID_CORE@
298 JGRAPHX = @JGRAPHX@
299 JHALL = @JHALL@
300 JHDF5 = @JHDF5@
301 JLATEXMATH = @JLATEXMATH@
302 JLATEXMATH_FOP = @JLATEXMATH_FOP@
303 JOGL2 = @JOGL2@
304 JROSETTA_API = @JROSETTA_API@
305 JROSETTA_ENGINE = @JROSETTA_ENGINE@
306 JUNIT4 = @JUNIT4@
307 LAPACK_LIBS = @LAPACK_LIBS@
308 LCOV = @LCOV@
309 LD = @LD@
310 LDFLAGS = @LDFLAGS@
311 LEX = @LEX@
312 LEXLIB = @LEXLIB@
313 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
314 LIBICONV = @LIBICONV@
315 LIBINTL = @LIBINTL@
316 LIBM = @LIBM@
317 LIBOBJS = @LIBOBJS@
318 LIBS = @LIBS@
319 LIBTOOL = @LIBTOOL@
320 LIPO = @LIPO@
321 LN_S = @LN_S@
322 LOGGING_LEVEL = @LOGGING_LEVEL@
323 LOOKS = @LOOKS@
324 LTLIBICONV = @LTLIBICONV@
325 LTLIBINTL = @LTLIBINTL@
326 LTLIBOBJS = @LTLIBOBJS@
327 MAINT = @MAINT@
328 MAKEINFO = @MAKEINFO@
329 MATIO_CFLAGS = @MATIO_CFLAGS@
330 MATIO_ENABLE = @MATIO_ENABLE@
331 MATIO_LIBS = @MATIO_LIBS@
332 MKDIR_P = @MKDIR_P@
333 MSGCAT = @MSGCAT@
334 MSGFMT = @MSGFMT@
335 MSGFMT_015 = @MSGFMT_015@
336 MSGMERGE = @MSGMERGE@
337 NM = @NM@
338 NMEDIT = @NMEDIT@
339 OBJDUMP = @OBJDUMP@
340 OBJEXT = @OBJEXT@
341 OCAMLC = @OCAMLC@
342 OCAMLDEP = @OCAMLDEP@
343 OCAMLLEX = @OCAMLLEX@
344 OCAMLOPT = @OCAMLOPT@
345 OCAMLYACC = @OCAMLYACC@
346 OPENMP_CFLAGS = @OPENMP_CFLAGS@
347 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
348 OPENMP_ENABLE = @OPENMP_ENABLE@
349 OPENMP_LIBS = @OPENMP_LIBS@
350 OTOOL = @OTOOL@
351 OTOOL64 = @OTOOL64@
352 PACKAGE = @PACKAGE@
353 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
354 PACKAGE_NAME = @PACKAGE_NAME@
355 PACKAGE_STRING = @PACKAGE_STRING@
356 PACKAGE_TARNAME = @PACKAGE_TARNAME@
357 PACKAGE_URL = @PACKAGE_URL@
358 PACKAGE_VERSION = @PACKAGE_VERSION@
359 PATH_SEPARATOR = @PATH_SEPARATOR@
360 PCRE_CFLAGS = @PCRE_CFLAGS@
361 PCRE_CONFIG = @PCRE_CONFIG@
362 PCRE_LIBS = @PCRE_LIBS@
363 PCRE_VERSION = @PCRE_VERSION@
364 PKG_CONFIG = @PKG_CONFIG@
365 POSUB = @POSUB@
366 POW_LIB = @POW_LIB@
367 PYTHON = @PYTHON@
368 RANLIB = @RANLIB@
369 RELOCATABLE = @RELOCATABLE@
370 RT_LIB = @RT_LIB@
371 SAXON = @SAXON@
372 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
373 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
374 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
375 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
376 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
377 SCIRENDERER = @SCIRENDERER@
378 SCI_CFLAGS = @SCI_CFLAGS@
379 SCI_CXXFLAGS = @SCI_CXXFLAGS@
380 SCI_FFLAGS = @SCI_FFLAGS@
381 SCI_LDFLAGS = @SCI_LDFLAGS@
382 SED = @SED@
383 SET_MAKE = @SET_MAKE@
384 SET_RELOCATABLE = @SET_RELOCATABLE@
385 SHELL = @SHELL@
386 SKINLF = @SKINLF@
387 SPLINT = @SPLINT@
388 STRIP = @STRIP@
389 SWIG_BIN = @SWIG_BIN@
390 SWIG_JAVA = @SWIG_JAVA@
391 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
392 TCLTK_LIBS = @TCLTK_LIBS@
393 TCL_INC_PATH = @TCL_INC_PATH@
394 TK_INC_PATH = @TK_INC_PATH@
395 UMFPACK_ENABLE = @UMFPACK_ENABLE@
396 UMFPACK_LIB = @UMFPACK_LIB@
397 USE_NLS = @USE_NLS@
398 VERSION = @VERSION@
399 WITH_OCAML = @WITH_OCAML@
400 WITH_TKSCI = @WITH_TKSCI@
401 XCOS_ENABLE = @XCOS_ENABLE@
402 XGETTEXT = @XGETTEXT@
403 XGETTEXT_015 = @XGETTEXT_015@
404 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
405 XMKMF = @XMKMF@
406 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
407 XML_APIS_EXT = @XML_APIS_EXT@
408 XML_CONFIG = @XML_CONFIG@
409 XML_FLAGS = @XML_FLAGS@
410 XML_LIBS = @XML_LIBS@
411 XML_VERSION = @XML_VERSION@
412 X_CFLAGS = @X_CFLAGS@
413 X_EXTRA_LIBS = @X_EXTRA_LIBS@
414 X_LIBS = @X_LIBS@
415 X_PRE_LIBS = @X_PRE_LIBS@
416 YACC = @YACC@
417 YFLAGS = @YFLAGS@
418 abs_builddir = @abs_builddir@
419 abs_srcdir = @abs_srcdir@
420 abs_top_builddir = @abs_top_builddir@
421 abs_top_srcdir = @abs_top_srcdir@
422 ac_ct_CC = @ac_ct_CC@
423 ac_ct_CXX = @ac_ct_CXX@
424 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
425 ac_ct_F77 = @ac_ct_F77@
426 am__include = @am__include@
427 am__leading_dot = @am__leading_dot@
428 am__quote = @am__quote@
429 am__tar = @am__tar@
430 am__untar = @am__untar@
431 bindir = @bindir@
432 build = @build@
433 build_alias = @build_alias@
434 build_cpu = @build_cpu@
435 build_os = @build_os@
436 build_vendor = @build_vendor@
437 builddir = @builddir@
438 cxx_present = @cxx_present@
439 datadir = @datadir@
440 datarootdir = @datarootdir@
441 docdir = @docdir@
442 dvidir = @dvidir@
443 exec_prefix = @exec_prefix@
444 host = @host@
445 host_alias = @host_alias@
446 host_cpu = @host_cpu@
447 host_os = @host_os@
448 host_vendor = @host_vendor@
449 htmldir = @htmldir@
450 includedir = @includedir@
451 infodir = @infodir@
452 install_sh = @install_sh@
453 libdir = @libdir@
454 libexecdir = @libexecdir@
455 localedir = @localedir@
456 localstatedir = @localstatedir@
457 mandir = @mandir@
458 mkdir_p = @mkdir_p@
459 oldincludedir = @oldincludedir@
460 pdfdir = @pdfdir@
461 prefix = @prefix@
462 program_transform_name = @program_transform_name@
463 psdir = @psdir@
464 sbindir = @sbindir@
465 sharedstatedir = @sharedstatedir@
466 srcdir = @srcdir@
467 sysconfdir = @sysconfdir@
468 target_alias = @target_alias@
469 top_build_prefix = @top_build_prefix@
470 top_builddir = @top_builddir@
471 top_srcdir = @top_srcdir@
472 yacc_present = @yacc_present@
473
474 #### Target ######
475 modulename = ui_data
476
477 #### ui_data : Conf files ####
478 libsciui_data_la_rootdir = $(mydatadir)
479 libsciui_data_la_root_DATA = license.txt 
480
481 #### ui_data : init scripts ####
482 libsciui_data_la_etcdir = $(mydatadir)/etc
483 libsciui_data_la_etc_DATA = \
484         etc/ui_data.quit \
485         etc/ui_data.start \
486         etc/variablebrowser_menubar.xml \
487         etc/variableeditor_menubar.xml \
488         etc/XConfiguration-variables.xml \
489         etc/XConfiguration-variables.xsl
490
491 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
492                       src/jni/EditVar.cpp \
493                       src/jni/FileBrowser.cpp
494
495 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
496                     src/c/PutScilabVariable.c
497
498 UI_DATA_CXX_SOURCES = src/cpp/UpdateBrowseVar.cpp \
499                       src/cpp/FileBrowserChDir.cpp
500
501 GIWS_WRAPPERS = \
502 src/jni/BrowseVar.giws.xml \
503 src/jni/EditVar.giws.xml \
504 src/jni/FileBrowser.giws.xml
505
506 SWIG_WRAPPERS = \
507 src/jni/ui_data.i
508
509 BUILT_SOURCES = $(am__append_1) $(am__append_2)
510 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
511 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
512                       sci_gateway/cpp/sci_browsevar.cpp \
513                       sci_gateway/cpp/sci_filebrowser.cpp \
514                         sci_gateway/cpp/sci_updatebrowsevar.cpp
515
516 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
517                         -I$(srcdir)/includes/ \
518                         -I$(srcdir)/src/cpp/ \
519                         -I$(srcdir)/src/c/ \
520                         -I$(srcdir)/src/jni/ \
521                         -I$(top_srcdir)/libs/MALLOC/includes/ \
522                         -I$(top_srcdir)/modules/jvm/includes/ \
523                         -I$(top_srcdir)/modules/output_stream/includes/ \
524                         -I$(top_srcdir)/modules/operations/includes/ \
525             -I$(top_srcdir)/modules/system_env/includes/ \
526                         -I$(top_srcdir)/modules/commons/src/jni/ \
527                         -I$(top_srcdir)/modules/localization/includes/ \
528                         -I$(top_srcdir)/modules/api_scilab/includes/ \
529                         -I$(top_srcdir)/modules/fileio/includes/ \
530                         -I$(top_srcdir)/modules/string/includes/ \
531                         $(AM_CPPFLAGS)
532
533
534 # Without the ui_data module 
535 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
536                         -I$(top_srcdir)/modules/localization/includes/ \
537                         -I$(top_srcdir)/modules/output_stream/includes \
538                         $(AM_CPPFLAGS)
539
540 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
541 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
542 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
543 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
544 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
545 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
546 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
547 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
548
549 # For the code check (splint)
550 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
551 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
552 libsciui_data_la_LIBADD = libsciui_data-algo.la
553
554 #### ui_data : gateway declaration ####
555 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
556 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
557
558 #### ui_data : icons files ####
559 #
560 # Generated with:
561 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
562 libsciui_data_la_iconsdir = $(mydatadir)/
563 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
564 images/icons/16x16/mimetypes/boolean.png \
565 images/icons/16x16/mimetypes/cell.png \
566 images/icons/16x16/mimetypes/double.png \
567 images/icons/16x16/mimetypes/fptr.png \
568 images/icons/16x16/mimetypes/function.png \
569 images/icons/16x16/mimetypes/handle.png \
570 images/icons/16x16/mimetypes/int.png \
571 images/icons/16x16/mimetypes/list.png \
572 images/icons/16x16/mimetypes/mlist.png \
573 images/icons/16x16/mimetypes/noicon.png \
574 images/icons/16x16/mimetypes/object.png \
575 images/icons/16x16/mimetypes/polynomial.png \
576 images/icons/16x16/mimetypes/sparse.png \
577 images/icons/16x16/mimetypes/string.png \
578 images/icons/16x16/mimetypes/timeseries.png \
579 images/icons/16x16/mimetypes/tlist.png \
580 images/icons/16x16/mimetypes/uint.png \
581 images/icons/16x16/mimetypes/user.png
582
583 @GUI_TRUE@USEANT = 1
584
585 # Where all the Scilab stuff is installed (macros, help, ...)
586 mydatadir = $(pkgdatadir)/modules/$(modulename)
587
588 # Set AM_* SCI detected settings
589 AM_CPPFLAGS = $(SCI_CPPFLAGS)
590 AM_CFLAGS = $(SCI_CFLAGS)
591 AM_CXXFLAGS = $(SCI_CXXFLAGS)
592 # append includes to AM_FFLAGS to manage fortran includes
593 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
594
595 # Tag shared libraries with the Scilab version
596 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
597
598 # splint options
599 SPLINT_OPTIONS = -weak -booltype BOOL
600
601 ########################### JAVA ######################################
602 #### We are delegating java compilation to ant... Thanks to that
603 #### the procedure will be the same with Microsoft Windows (C)
604 #### and Linux/Unix
605 #######################################################################
606 TARGETS_ALL = $(am__append_4)
607
608 ################ MACROS ######################
609 # Rule to build a macro
610 # NOT USED  AT THE MOMENT
611 SUFFIXES = .sci 
612
613 ########### INSTALL DOCUMENTATION ###################
614
615 # Install documentation files into the right target
616 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
617 # automake needs the html files to be present which is not the case when
618 # we are building Scilab
619
620 # Where it should be installed
621 pkgdocdir = $(mydatadir)
622
623 # What is the mask of the help source
624 DOCMASKXML = *.xml
625
626 # What is the mask of the MathML sources
627 DOCMASKMML = *.mml
628
629 ########### INSTALL DATA ###################
630 # Install macros, help & demos
631 # Where it should be installed
632 pkgmacrosdir = $(mydatadir)
633 # Which directory we process
634 MACRODIRS = macros/
635 # Mask of the Scilab sources macros
636 MACROMASK = *.sci
637 # Mask of the Scilab executable sources macros
638 MACROBUILDMASK = *.sce
639 # Mask of the Scilab compiled macros
640 MACROBINMASK = *.bin
641 # List of the standard directory for tests
642 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
643 # Where the demos should be installed
644 pkgdemosdir = $(mydatadir)
645 # List of the standard directory for demos
646 DEMOS_DIR = demos
647 # List of the standard directory for examples
648 EXAMPLES_DIR = examples
649 # Where to export JAVA archives (.jar)
650 JARDIR = jar/
651 # JAR files mask
652 JARMASK = *.jar
653 # Chapter file 
654 HELP_CHAPTERDIR = help/
655 HELP_CHAPTERFILE = addchapter.sce
656 HELP_CHAPTERLANG = en_US fr_FR pt_BR
657 all: $(BUILT_SOURCES)
658         $(MAKE) $(AM_MAKEFLAGS) all-am
659
660 .SUFFIXES:
661 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
662 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
663         @for dep in $?; do \
664           case '$(am__configure_deps)' in \
665             *$$dep*) \
666               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
667                 && { if test -f $@; then exit 0; else break; fi; }; \
668               exit 1;; \
669           esac; \
670         done; \
671         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
672         $(am__cd) $(top_srcdir) && \
673           $(AUTOMAKE) --foreign modules/ui_data/Makefile
674 .PRECIOUS: Makefile
675 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
676         @case '$?' in \
677           *config.status*) \
678             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
679           *) \
680             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
681             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
682         esac;
683 $(top_srcdir)/Makefile.incl.am:
684
685 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
686         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
687
688 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
689         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
690 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
691         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
692 $(am__aclocal_m4_deps):
693
694 clean-noinstLTLIBRARIES:
695         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
696         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
697           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
698           test "$$dir" != "$$p" || dir=.; \
699           echo "rm -f \"$${dir}/so_locations\""; \
700           rm -f "$${dir}/so_locations"; \
701         done
702 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
703         @$(NORMAL_INSTALL)
704         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
705         list2=; for p in $$list; do \
706           if test -f $$p; then \
707             list2="$$list2 $$p"; \
708           else :; fi; \
709         done; \
710         test -z "$$list2" || { \
711           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
712           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
713           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
714           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
715         }
716
717 uninstall-pkglibLTLIBRARIES:
718         @$(NORMAL_UNINSTALL)
719         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
720         for p in $$list; do \
721           $(am__strip_dir) \
722           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
723           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
724         done
725
726 clean-pkglibLTLIBRARIES:
727         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
728         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
729           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
730           test "$$dir" != "$$p" || dir=.; \
731           echo "rm -f \"$${dir}/so_locations\""; \
732           rm -f "$${dir}/so_locations"; \
733         done
734 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
735         $(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
736 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
737         $(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
738 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
739         $(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
740
741 mostlyclean-compile:
742         -rm -f *.$(OBJEXT)
743
744 distclean-compile:
745         -rm -f *.tab.c
746
747 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
750 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
751 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
752 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo@am__quote@
753 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
754 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
755 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
756 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
757 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
758 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
759 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
760
761 .c.o:
762 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
763 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
767
768 .c.obj:
769 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
770 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
774
775 .c.lo:
776 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
777 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
781
782 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
783 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
784 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
788
789 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
790 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
791 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
795
796 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
797 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
798 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
802
803 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
804 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
805 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
809
810 .cpp.o:
811 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
812 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
813 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
814 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
816
817 .cpp.obj:
818 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
819 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
820 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
821 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
823
824 .cpp.lo:
825 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
826 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
827 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
830
831 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
832 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
833 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
834 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
837
838 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
839 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
840 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
841 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
842 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
844
845 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
846 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
847 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
848 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
849 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
851
852 libsciui_data_algo_la-UpdateBrowseVar.lo: src/cpp/UpdateBrowseVar.cpp
853 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-UpdateBrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
854 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo
855 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/UpdateBrowseVar.cpp' object='libsciui_data_algo_la-UpdateBrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
856 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
858
859 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
860 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
861 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
862 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
863 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
865
866 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
867 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
868 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
869 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
870 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
872
873 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
874 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
875 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
876 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
877 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
878 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
879
880 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
881 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
882 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
883 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
884 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
885 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
886
887 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
888 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
889 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
890 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
891 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
892 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
893
894 mostlyclean-libtool:
895         -rm -f *.lo
896
897 clean-libtool:
898         -rm -rf .libs _libs
899 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
900         @$(NORMAL_INSTALL)
901         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
902         if test -n "$$list"; then \
903           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
904           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
905         fi; \
906         for p in $$list; do \
907           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
908           echo "$$d$$p"; \
909         done | $(am__base_list) | \
910         while read files; do \
911           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
912           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
913         done
914
915 uninstall-libsciui_data_la_etcDATA:
916         @$(NORMAL_UNINSTALL)
917         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
918         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
919         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
920 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
921         @$(NORMAL_INSTALL)
922         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
923         if test -n "$$list"; then \
924           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
925           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
926         fi; \
927         for p in $$list; do \
928           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
929           echo "$$d$$p"; \
930         done | $(am__base_list) | \
931         while read files; do \
932           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
933           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
934         done
935
936 uninstall-libsciui_data_la_rootDATA:
937         @$(NORMAL_UNINSTALL)
938         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
939         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
940         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
941 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
942         @$(NORMAL_INSTALL)
943         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
944         if test -n "$$list"; then \
945           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
946           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
947         fi; \
948         for p in $$list; do \
949           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
950           echo "$$d$$p"; \
951         done | $(am__base_list) | \
952         while read files; do \
953           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
954           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
955         done
956
957 uninstall-libsciui_data_la_sci_gatewayDATA:
958         @$(NORMAL_UNINSTALL)
959         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
960         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
961         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
962 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
963         @$(NORMAL_INSTALL)
964         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
965         if test -n "$$list"; then \
966           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
967           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
968         fi; \
969         $(am__nobase_list) | while read dir files; do \
970           xfiles=; for file in $$files; do \
971             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
972             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
973           test -z "$$xfiles" || { \
974             test "x$$dir" = x. || { \
975               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
976               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
977             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
978             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
979         done
980
981 uninstall-nobase_libsciui_data_la_iconsDATA:
982         @$(NORMAL_UNINSTALL)
983         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
984         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
985         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
986
987 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
988         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
989         unique=`for i in $$list; do \
990             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
991           done | \
992           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
993               END { if (nonempty) { for (i in files) print i; }; }'`; \
994         mkid -fID $$unique
995 tags: TAGS
996
997 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
998                 $(TAGS_FILES) $(LISP)
999         set x; \
1000         here=`pwd`; \
1001         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1002         unique=`for i in $$list; do \
1003             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1004           done | \
1005           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1006               END { if (nonempty) { for (i in files) print i; }; }'`; \
1007         shift; \
1008         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1009           test -n "$$unique" || unique=$$empty_fix; \
1010           if test $$# -gt 0; then \
1011             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1012               "$$@" $$unique; \
1013           else \
1014             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1015               $$unique; \
1016           fi; \
1017         fi
1018 ctags: CTAGS
1019 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1020                 $(TAGS_FILES) $(LISP)
1021         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1022         unique=`for i in $$list; do \
1023             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1024           done | \
1025           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1026               END { if (nonempty) { for (i in files) print i; }; }'`; \
1027         test -z "$(CTAGS_ARGS)$$unique" \
1028           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1029              $$unique
1030
1031 GTAGS:
1032         here=`$(am__cd) $(top_builddir) && pwd` \
1033           && $(am__cd) $(top_srcdir) \
1034           && gtags -i $(GTAGS_ARGS) "$$here"
1035
1036 distclean-tags:
1037         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1038
1039 distdir: $(DISTFILES)
1040         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1041         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1042         list='$(DISTFILES)'; \
1043           dist_files=`for file in $$list; do echo $$file; done | \
1044           sed -e "s|^$$srcdirstrip/||;t" \
1045               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1046         case $$dist_files in \
1047           */*) $(MKDIR_P) `echo "$$dist_files" | \
1048                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1049                            sort -u` ;; \
1050         esac; \
1051         for file in $$dist_files; do \
1052           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1053           if test -d $$d/$$file; then \
1054             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1055             if test -d "$(distdir)/$$file"; then \
1056               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1057             fi; \
1058             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1059               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1060               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061             fi; \
1062             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1063           else \
1064             test -f "$(distdir)/$$file" \
1065             || cp -p $$d/$$file "$(distdir)/$$file" \
1066             || exit 1; \
1067           fi; \
1068         done
1069 check-am: all-am
1070         $(MAKE) $(AM_MAKEFLAGS) check-local
1071 check: $(BUILT_SOURCES)
1072         $(MAKE) $(AM_MAKEFLAGS) check-am
1073 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1074 installdirs:
1075         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1076           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1077         done
1078 install: $(BUILT_SOURCES)
1079         $(MAKE) $(AM_MAKEFLAGS) install-am
1080 install-exec: install-exec-am
1081 install-data: install-data-am
1082 uninstall: uninstall-am
1083
1084 install-am: all-am
1085         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1086
1087 installcheck: installcheck-am
1088 install-strip:
1089         if test -z '$(STRIP)'; then \
1090           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1091             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1092               install; \
1093         else \
1094           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1095             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1096             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1097         fi
1098 mostlyclean-generic:
1099
1100 clean-generic:
1101
1102 distclean-generic:
1103         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1104         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1105
1106 maintainer-clean-generic:
1107         @echo "This command is intended for maintainers to use"
1108         @echo "it deletes files that may require special tools to rebuild."
1109         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1110 clean: clean-am
1111
1112 clean-am: clean-generic clean-libtool clean-local \
1113         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1114
1115 distclean: distclean-am
1116         -rm -rf ./$(DEPDIR)
1117         -rm -f Makefile
1118 distclean-am: clean-am distclean-compile distclean-generic \
1119         distclean-local distclean-tags
1120
1121 dvi: dvi-am
1122
1123 dvi-am:
1124
1125 html: html-am
1126
1127 html-am:
1128
1129 info: info-am
1130
1131 info-am:
1132
1133 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1134         install-libsciui_data_la_rootDATA \
1135         install-libsciui_data_la_sci_gatewayDATA \
1136         install-nobase_libsciui_data_la_iconsDATA
1137
1138 install-dvi: install-dvi-am
1139
1140 install-dvi-am:
1141
1142 install-exec-am: install-pkglibLTLIBRARIES
1143
1144 install-html: install-html-am
1145
1146 install-html-am: install-html-local
1147
1148 install-info: install-info-am
1149
1150 install-info-am:
1151
1152 install-man:
1153
1154 install-pdf: install-pdf-am
1155
1156 install-pdf-am:
1157
1158 install-ps: install-ps-am
1159
1160 install-ps-am:
1161
1162 installcheck-am:
1163
1164 maintainer-clean: maintainer-clean-am
1165         -rm -rf ./$(DEPDIR)
1166         -rm -f Makefile
1167 maintainer-clean-am: distclean-am maintainer-clean-generic
1168
1169 mostlyclean: mostlyclean-am
1170
1171 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1172         mostlyclean-libtool
1173
1174 pdf: pdf-am
1175
1176 pdf-am:
1177
1178 ps: ps-am
1179
1180 ps-am:
1181
1182 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1183         uninstall-libsciui_data_la_rootDATA \
1184         uninstall-libsciui_data_la_sci_gatewayDATA \
1185         uninstall-nobase_libsciui_data_la_iconsDATA \
1186         uninstall-pkglibLTLIBRARIES
1187
1188 .MAKE: all check check-am install install-am install-strip
1189
1190 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1191         clean clean-generic clean-libtool clean-local \
1192         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1193         distclean distclean-compile distclean-generic \
1194         distclean-libtool distclean-local distclean-tags distdir dvi \
1195         dvi-am html html-am info info-am install install-am \
1196         install-data install-data-am install-data-local install-dvi \
1197         install-dvi-am install-exec install-exec-am install-html \
1198         install-html-am install-html-local install-info \
1199         install-info-am install-libsciui_data_la_etcDATA \
1200         install-libsciui_data_la_rootDATA \
1201         install-libsciui_data_la_sci_gatewayDATA install-man \
1202         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1203         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1204         install-ps-am install-strip installcheck installcheck-am \
1205         installdirs maintainer-clean maintainer-clean-generic \
1206         mostlyclean mostlyclean-compile mostlyclean-generic \
1207         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1208         uninstall-am uninstall-libsciui_data_la_etcDATA \
1209         uninstall-libsciui_data_la_rootDATA \
1210         uninstall-libsciui_data_la_sci_gatewayDATA \
1211         uninstall-nobase_libsciui_data_la_iconsDATA \
1212         uninstall-pkglibLTLIBRARIES
1213
1214
1215 # This target enables tests for Scilab
1216 check-local: $(top_builddir)/scilab-bin test
1217         if test -d $(mydatadir)/tests; then \
1218           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1219         fi
1220 check-code:
1221         if test -f build.xml; then \
1222                 $(ANT) checkstyle; \
1223         fi
1224         if test -x "$(SPLINT)"; then \
1225                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1226         fi
1227 @NEED_JAVA_TRUE@java:
1228 # Some configurations needs to export JAVA_HOME in the current env
1229 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1230 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1231 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1232 @NEED_JAVA_TRUE@                $(ANT); \
1233 @NEED_JAVA_TRUE@        fi
1234
1235 @NEED_JAVA_TRUE@clean-java:
1236 # Some configurations needs to export JAVA_HOME in the current env
1237 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1238 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1239 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1240 @NEED_JAVA_TRUE@                $(ANT) clean; \
1241 @NEED_JAVA_TRUE@        fi;
1242
1243 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1244 # We call the target swig-build on the variable SWIG_WRAPPERS
1245
1246 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1247 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1248 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1249 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1250 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1251 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1252 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1253 @SWIG_TRUE@             done; \
1254 @SWIG_TRUE@     fi
1255
1256 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1257 # We call the target swig-build on the variable SWIG_WRAPPERS
1258
1259 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1260 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1261 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1262 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1263 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1264 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1265 @GIWS_TRUE@             done; \
1266 @GIWS_TRUE@     fi
1267
1268 @GIWS_TRUE@giws-exception:
1269 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1270 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1271 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1272
1273 macros:
1274         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1275                 echo "Error : Cannot build $< : Scilab has not been built"; \
1276         else \
1277                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1278         fi)
1279
1280 # Removes the macros
1281 clean-macros:
1282 # Removes macros (*.bin generated from .sci)
1283         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1284                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1285                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1286         done
1287
1288 test:
1289 # More tests could be added here
1290         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1291         if test -f build.xml -a $$USEANT -eq 1; then \
1292                 $(ANT) test; \
1293         fi
1294
1295 all-local: $(TARGETS_ALL)
1296
1297 .sci.bin:
1298         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1299         echo "Error : Cannot build $< : Scilab has not been build"; \
1300         else \
1301         echo "Creating $@"; \
1302         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1303         fi )
1304
1305 install-html-local:
1306
1307 install-data-local-local:
1308 # Mainly for javasci
1309         @if test -d $(srcdir)/javadoc; then \
1310                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1311         fi
1312 # If the user wants the help sources to be installed
1313 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1314 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1315 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1316 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1317 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1318 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1319 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1320 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1321 @INSTALL_HELP_XML_TRUE@           done ; \
1322 @INSTALL_HELP_XML_TRUE@         fi; \
1323 @INSTALL_HELP_XML_TRUE@  fi; \
1324 @INSTALL_HELP_XML_TRUE@ done; \
1325 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1326 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1327 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1328 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1329 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1330 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1331 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1332 @INSTALL_HELP_XML_TRUE@           done ; \
1333 @INSTALL_HELP_XML_TRUE@         fi; \
1334 @INSTALL_HELP_XML_TRUE@ fi
1335 install-data-local:
1336 # Install the tests
1337         @echo "-------- Install tests (if any) --------"; \
1338         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1339           if test -d $(srcdir)/$$dir/; then \
1340             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1341                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1342                     if test -d "$(srcdir)/$$dir/$$file"; then \
1343                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1344                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1345                     else \
1346                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1347                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1348                     fi \
1349                   done; \
1350           fi; \
1351         done
1352 # Install the help chapter
1353         @echo "-------- Install the help chapter (if any) --------"; \
1354         for lang in $(HELP_CHAPTERLANG); do \
1355                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1356                 if test -f $$HELPFILE; then \
1357                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1358                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1359                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1360                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1361                 fi; \
1362         done
1363 # Install the demos & examples
1364         @echo "-------- Install demos & examples (if any) --------"; \
1365         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1366           if test -d $(srcdir)/$$dir/; then \
1367             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1368                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1369                     if test -d "$(srcdir)/$$dir/$$file"; then \
1370                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1371                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1372                     else \
1373                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1374                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1375                     fi \
1376                   done; \
1377           fi; \
1378         done
1379 # Install the macros
1380         @echo "-------- Install macros (if any) --------"; \
1381         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1382           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1383                 if test -d $(srcdir)/$$dir/; then \
1384                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1385                         if test -n "$(MACROSSPECIALEXT)"; then \
1386                                 specialExtDir=""; \
1387                                 for specialExt in $(MACROSSPECIALEXT); do \
1388                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1389                                 done; \
1390                                 FILELIST="$$FILELIST $$specialExtDir"; \
1391                         fi; \
1392                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1393                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1394                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1395                   done; \
1396                 fi; \
1397         done
1398 # Install java files (.jar)
1399         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1400         echo "-------- Install jar files --------"; \
1401     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1402           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1403                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1404                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1405           done ; \
1406         fi
1407
1408 ########### CLEAN ###################
1409 # Clean help (generated automatically by Scilab)
1410 # It used to clean the macro (clean-macros) but this was causing
1411 # make clean && make to fail Scilab startup
1412 @NEED_JAVA_TRUE@clean-local: clean-java
1413 @NEED_JAVA_FALSE@clean-local:
1414
1415 distclean-local:
1416         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1417
1418 .PHONY: macros java swig giws
1419
1420 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1421 # Otherwise a system limit (for SysV at least) may be exceeded.
1422 .NOEXPORT: